#!/usr/bin/python

import os
from subprocess import *
import sys

if len(sys.argv) < 6:
    sys.stderr.write('Usage: %s tx ty theta_start theta_end theta_step\n' % sys.argv[0])
    sys.exit(1)

tx = float(sys.argv[1])
ty = float(sys.argv[2])
start = float(sys.argv[3])
stop = float(sys.argv[4])
step = float(sys.argv[5])

nsteps = int((stop - start) / step)
i = 1
t = start
first = True
while t < stop:
    sys.stderr.write('**** STEP %d of %d, THETA = %f ****\n' % (i,nsteps+1,t))
    L = Popen(['./grlen.py','%f' % tx, '%f' % ty, '%f' % t], shell=False, stdout=PIPE).communicate()[0]
    if first:
	print '# Grafting of punctured torus Fuchsian group <A,B> along A'
        print '# Starting point: tr(A) = %f, tr(B) = %f, len(A) = %s' % (tx,ty,L.split()[0])
	print '# Table of (theta,length) follows.'
	first = False
    print '%f %s' % (t,L.split()[1])
    t = t + step
    i = i + 1

